# Create product profile

## POST /public/v1/public-catalog/product-profiles

> Creates a new product-profile record in the public catalog.\
> Accepts a request with necessary details to create the product profiles.

```json
{"openapi":"3.0.1","info":{"title":"Marketplace API","version":"5.0.5243-ga0bb7c09"},"servers":[{"url":"https://api.platform.softwareone.com"}],"paths":{"/public/v1/public-catalog/product-profiles":{"post":{"tags":["ProductProfiles"],"summary":"Creates a new product-profile record in the public catalog.\nAccepts a request with necessary details to create the product profiles.","requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"productProfile":{"type":"object","properties":{"Name":{"type":"string"},"ShortDescription":{"type":"string"},"LongDescription":{"type":"string"},"Featured":{"type":"boolean"},"Website":{"type":"string"},"LinkedIn":{"type":"string"},"Facebook":{"type":"string"},"YouTube":{"type":"string"},"XProfile":{"type":"string"},"Categories":{"type":"array","items":{"$ref":"#/components/schemas/RequestObjectLink"}},"Industries":{"type":"array","items":{"$ref":"#/components/schemas/RequestObjectLink"}},"Segments":{"type":"array","items":{"$ref":"#/components/schemas/RequestObjectLink"}},"VendorProfile.Id":{"type":"string"}},"description":"Json representation of the productProfile"},"icon":{"type":"string","format":"binary"}}},"encoding":{"productProfile":{"contentType":"application/json"},"icon":{"contentType":"application/octet-stream"}}},"application/json":{"schema":{"type":"object","properties":{"productProfile":{"type":"object","properties":{"Name":{"type":"string"},"ShortDescription":{"type":"string"},"LongDescription":{"type":"string"},"Featured":{"type":"boolean"},"Website":{"type":"string"},"LinkedIn":{"type":"string"},"Facebook":{"type":"string"},"YouTube":{"type":"string"},"XProfile":{"type":"string"},"Categories":{"type":"array","items":{"$ref":"#/components/schemas/RequestObjectLink"}},"Industries":{"type":"array","items":{"$ref":"#/components/schemas/RequestObjectLink"}},"Segments":{"type":"array","items":{"$ref":"#/components/schemas/RequestObjectLink"}},"VendorProfile.Id":{"type":"string"}},"description":"Json representation of the productProfile"},"icon":{"type":"string","format":"binary"}}}}}},"responses":{"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProductProfile"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"RequestObjectLink":{"type":"object","properties":{"id":{"type":"string"}},"additionalProperties":false},"ProductProfile":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/ProductProfileAudit"}],"description":"Audit information related to lifecycle events of a product profile."},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"shortDescription":{"type":"string","description":"Descriptive text that provides details about the vendor.","nullable":true},"longDescription":{"type":"string","description":"Descriptive text that provides details about the vendor.","nullable":true},"featured":{"type":"boolean","description":"Indicates whether the product profile is marked as featured.","nullable":true},"website":{"type":"string","description":"The vendor's official website URL.","nullable":true},"linkedIn":{"type":"string","description":"URL of the vendor's LinkedIn profile.","nullable":true},"facebook":{"type":"string","description":"URL of the vendor's Facebook page.","nullable":true},"youTube":{"type":"string","description":"URL of the vendor's YouTube channel.","nullable":true},"xProfile":{"type":"string","description":"URL of the vendor's X (formerly Twitter) profile.","nullable":true},"categories":{"type":"array","items":{"$ref":"#/components/schemas/CategoryEntityRef"},"description":"Categories associated with the product profile.","nullable":true},"industries":{"type":"array","items":{"$ref":"#/components/schemas/IndustryRef"},"description":"Industries associated with the product profile.","nullable":true},"segments":{"type":"array","items":{"$ref":"#/components/schemas/SegmentRef"},"description":"Segments associated with the product profile.","nullable":true},"vendorProfile":{"allOf":[{"$ref":"#/components/schemas/VendorProfile"}],"description":"VendorProfile associated with the product profile.","nullable":true},"products":{"type":"array","items":{"$ref":"#/components/schemas/ProductRef"},"description":"Products associated with the product profile.","nullable":true},"status":{"enum":["Draft","Published","Unpublished","Deleted"],"type":"string","description":"Current publication status of the product profile."}},"additionalProperties":false,"description":"Represents a public catalog product profile entity exposed by the platform."},"ProductProfileAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"published":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"description":"Event details for when the product profile was published.","nullable":true},"unpublished":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"description":"Event details for when the product profile was unpublished.","nullable":true}},"additionalProperties":false,"description":"Audit information related to lifecycle events of a product profile."},"PlatformObjectEvent":{"type":"object","properties":{"at":{"type":"string","format":"date-time","nullable":true},"by":{"type":"object","allOf":[{"$ref":"#/components/schemas/PlatformIdentityRef"}]}},"additionalProperties":false},"PlatformIdentityRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"}},"additionalProperties":false},"PlatformMetadata":{"type":"object","properties":{"omitted":{"type":"array","items":{"type":"string"}}},"additionalProperties":false},"CategoryEntityRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"},"status":{"enum":["Draft","Published","Unpublished","Deleted"],"type":"string"}},"additionalProperties":false},"IndustryRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"},"status":{"enum":["Draft","Published","Unpublished","Deleted"],"type":"string"}},"additionalProperties":false},"SegmentRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"},"status":{"enum":["Draft","Published","Unpublished","Deleted"],"type":"string"}},"additionalProperties":false},"VendorProfile":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/VendorProfileAudit"}],"description":"Audit information related to lifecycle events of a vendor profile."},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"description":{"type":"string","description":"Descriptive text that provides details about the vendor.","nullable":true},"featured":{"type":"boolean","description":"Indicates whether the vendor profile is marked as featured.","nullable":true},"website":{"type":"string","description":"The vendor's official website URL.","nullable":true},"linkedIn":{"type":"string","description":"URL of the vendor's LinkedIn profile.","nullable":true},"facebook":{"type":"string","description":"URL of the vendor's Facebook page.","nullable":true},"youTube":{"type":"string","description":"URL of the vendor's YouTube channel.","nullable":true},"xProfile":{"type":"string","description":"URL of the vendor's X (formerly Twitter) profile.","nullable":true},"categories":{"type":"array","items":{"$ref":"#/components/schemas/CategoryEntityRef"},"description":"Categories associated with the vendor profile.","nullable":true},"productProfiles":{"type":"array","items":{"$ref":"#/components/schemas/ProductProfileRef"},"description":"ProductProfiles associated with the vendor profile.","nullable":true},"vendor":{"allOf":[{"$ref":"#/components/schemas/Account"}],"description":"Vendor associated with the vendor profile.","nullable":true},"status":{"enum":["Draft","Published","Unpublished","Deleted"],"type":"string","description":"Current publication status of the vendor profile."}},"additionalProperties":false,"description":"Represents a public catalog vendor profile entity exposed by the platform."},"VendorProfileAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"published":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"description":"Event details for when the vendor profile was published.","nullable":true},"unpublished":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"description":"Event details for when the vendor profile was unpublished.","nullable":true}},"additionalProperties":false,"description":"Audit information related to lifecycle events of a vendor profile."},"ProductProfileRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"vendorProfile":{"allOf":[{"$ref":"#/components/schemas/VendorProfile"}],"description":"VendorProfile associated with the product profile.","nullable":true},"status":{"enum":["Draft","Published","Unpublished","Deleted"],"type":"string","description":"Current publication status of the product profile."}},"additionalProperties":false,"description":"Represents a public catalog product profile entity exposed by the platform."},"Account":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"type":{"allOf":[{"$ref":"#/components/schemas/AccountType"}],"nullable":true},"status":{"allOf":[{"$ref":"#/components/schemas/AccountStatus"}],"nullable":true},"externalIds":{"allOf":[{"$ref":"#/components/schemas/AccountExternalIds"}],"nullable":true},"externalId":{"type":"string","nullable":true},"externalName":{"type":"string","nullable":true},"address":{"allOf":[{"$ref":"#/components/schemas/Address"}]},"technicalSupportEmail":{"type":"string","nullable":true},"website":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"groups":{"type":"array","items":{"$ref":"#/components/schemas/UserGroupRef"},"nullable":true},"eligibility":{"allOf":[{"$ref":"#/components/schemas/Eligibility"}],"nullable":true},"defaultLanguageCode":{"type":"string","nullable":true}},"additionalProperties":false},"PlatformObjectAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true}},"additionalProperties":false},"AccountType":{"enum":["Client","Vendor","Operations"],"type":"string"},"AccountStatus":{"enum":["Active","Enabled","Disabled"],"type":"string"},"AccountExternalIds":{"type":"object","properties":{"pyraTenantId":{"type":"string","format":"uuid","nullable":true}},"additionalProperties":false},"Address":{"type":"object","properties":{"addressLine1":{"type":"string","nullable":true},"addressLine2":{"type":"string","nullable":true},"postCode":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"state":{"type":"string","nullable":true},"country":{"type":"string","nullable":true}},"additionalProperties":false},"UserGroupRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"},"description":{"type":"string","nullable":true},"logo":{"type":"string","nullable":true},"isDefault":{"type":"boolean"}},"additionalProperties":false},"Eligibility":{"type":"object","properties":{"client":{"type":"boolean"},"partner":{"type":"boolean"}},"additionalProperties":false},"ProductRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"externalIds":{"allOf":[{"$ref":"#/components/schemas/ProductExternalIdBag"}]},"status":{"type":"string"}},"additionalProperties":false},"ProductExternalIdBag":{"type":"object","properties":{"operations":{"type":"string","nullable":true},"defaultErpItem":{"type":"string","nullable":true}},"additionalProperties":false},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```
